Skip to content

Delete a change order line

Finance module

DELETE/change-order-lines/{id}changeOrderLines.delete

A line of a change order. Soft-deletes the change order line: it moves to Trash and can be restored for its table's retention period.

  • Requires the capability finance.change_order.price.
  • OAuth scopes: finance.
  • Error statuses: 401, 404, 422, 429. Errors are RFC 9457 problem details.

Path and query parameters

changeOrderLines.delete: Path and query parameters
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the change order line.

Response 204: no body.

Code samples

curl -X DELETE "$XOS_BASE_URL/change-order-lines/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.changeOrderLines.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.change_order_lines.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos change-order-lines delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f